Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 134647 - Wrong position of cursor, when generating code using Alt-Ins
Wrong position of cursor, when generating code using Alt-Ins
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Max Sauer
issues@java
:
Depends on:
Blocks: 133913
  Show dependency treegraph
 
Reported: 2008-05-07 07:26 UTC by Jan Becicka
Modified: 2008-07-03 04:33 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Becicka 2008-05-07 07:26:45 UTC
For instance user wants to override method:

    @Override
    public void actionPerformed(ActionEvent ev) {
        super.actionPerformed(ev);
    }
    
    |

As you can see, cursor is located behind the method. User must go back, delete method body and start coding.
I think, that method body should be preselected. User will be able just to write a new body.
Comment 1 Max Sauer 2008-07-02 16:06:46 UTC
Fixed.
---
http://hg.netbeans.org/main/rev/9ebd1142f4e7

Comment 2 Quality Engineering 2008-07-03 04:33:45 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #296 build
Changeset: http://hg.netbeans.org/main/rev/9ebd1142f4e7
User: Max Sauer <msauer@netbeans.org>
Log: #134647: Wrong position of cursor, when generating code using Alt-Ins


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo